Skitflow
Generated

Registry

Skitflow API reference for Registry endpoints.

POST
/registry.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/registry.create" \  -H "Content-Type: application/json" \  -d '{    "registryName": "string",    "username": "string",    "password": "string",    "registryUrl": "string",    "registryType": "cloud",    "imagePrefix": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/registry.remove

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/registry.remove" \  -H "Content-Type: application/json" \  -d '{    "registryId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/registry.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/registry.update" \  -H "Content-Type: application/json" \  -d '{    "registryId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/registry.all

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/registry.all"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/registry.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

registryId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/registry.one?registryId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/registry.testRegistry

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/registry.testRegistry" \  -H "Content-Type: application/json" \  -d '{    "registryName": "string",    "username": "string",    "password": "string",    "registryUrl": "string",    "registryType": "cloud"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}